tbb::queuing_mutex Class Reference
Synchronization

Queuing mutex with local-only spinning. More...

`#include <queuing_mutex.h>`

Inheritance diagram for tbb::queuing_mutex:

## Classes

class | scoped_lock
| The scoped locking pattern. More...

## Public Member Functions

| queuing_mutex ()
| Construct unacquired mutex.
void __TBB_EXPORTED_METHOD | internal_construct ()

## Static Public Attributes

static const bool | is_rw_mutex = false
static const bool | is_recursive_mutex = false
static const bool | is_fair_mutex = true

## Detailed Description

Queuing mutex with local-only spinning.

The documentation for this class was generated from the following file:

- queuing_mutex.h

Copyright © 2005-2017 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.